/*
    Scrolling file window module class specification.

    This is the header file that should be used when access to a
    window that will scroll through a file a page by page.

    Library : mycpp.lib
*/

#ifndef __MYSCRLL_H__
#define __MYSCRLL_H__

static char MyScrllh[] = "myscrll.h     1.00 04/05/91";
/*
    Version notes :
        1.0 - Original creation / release.
*/


#include <stdio.h>
#include <conio.h>
#include "myscr.h"
#include "mymou.h"

/* ================================================================== */

#ifndef TRUE
    #define TRUE    1
    #define FALSE   0
#endif

/* ------------------------------------------------------------------ */
class myScroll {
    int         x, y, w, h;
    FILE        *fp;
    myScreen    *scroll_screen;
    myMouse     aMouse;

    void wait();
    int  next_page();

public:
    myScroll(){
        x = y = 0;
        w = 80;
        h = 24;
        scroll_screen = new myScreen;
    };
    myScroll( int X, int Y, int W, int H ){
        x = X;
        y = Y;
        w = W;
        h = H;
        scroll_screen = new myScreen;
    };

    void display( char *filename );
};

#endif

